Chest = {}
Chest.__index = Chest

function Chest.new(x, y, loot)
    local instance = setmetatable({}, Chest)
    instance.x = x
    instance.y = y 
    instance.w = 50 
    instance.h = 50 
    instance.body = love.physics.newBody(world, instance.x, instance.y, "static")
    instance.shape = love.physics.newRectangleShape(instance.w, instance.h)
    instance.fixture =love.physics.newFixture(instance.body, instance.shape)
    instance.loot = loot 
    instance.looted = false 
    return instance
end

function Chest:update()
    self:playerLoot()
end 

function Chest:playerLoot()
end

function Chest:draw()
    love.graphics.rectangle("fill", self.x - self.w / 2, self.y - self.h / 2, self.w, self.h)
end
